Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPrintConfirmation.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPrintConfirmation.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPrintConfirmation.cs	(revision 54)
@@ -304,6 +304,7 @@
                 switch(m_ExecuteProcNo)
                 {
                     case (int)ClsExcute.ProcessExecuteNo.DRConstruction:
+                    case (int)ClsExcute.ProcessExecuteNo.Proceedings:
                         label2.Text = strProcess.Substring(0, strProcess.IndexOf("－")) + "印刷";
                         break;
                 }
@@ -372,6 +373,8 @@
         {
             try
             {
+                if (radioButton1.Checked) return true;
+
                 if (dateTimePicker1.Value > dateTimePicker2.Value)
                 {
                     MessageBox.Show("終了日付が開始日付より以前になっています。", "日付エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmTyingConstrDiag.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmTyingConstrDiag.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmTyingConstrDiag.cs	(revision 54)
@@ -260,13 +260,23 @@
                 switch (m_OperationProcess)
                 {
                     case (int)ClsExcute.ProcessExecuteNo.EstimateInput:
-                        strSQL += " AND EXISTS (SELECT * FROM ESTIMATEDATA EXDB WHERE EXDB.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE)";
+                    case (int)ClsExcute.ProcessExecuteNo.EstimateBudget:
+                        strSQL += " AND (EXISTS (SELECT * FROM ESTIMATEDATA EXDB WHERE EXDB.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE)";
+                        strSQL += string.Format(" OR (A.CONSTRUCTIONSTATUSFLG < {0}))",
+                                                CommonDefine.ProjectsStatus.First(x => x.Value.Equals("見積提出")).Key);
                         break;
                     case (int)ClsExcute.ProcessExecuteNo.ConstructionBudget:
-                        strSQL += " AND EXISTS (SELECT * FROM CONSTRUCTIONBUDGET EXDB WHERE EXDB.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE)";
+                        strSQL += " AND (EXISTS (SELECT * FROM CONSTRUCTIONBUDGET EXDB WHERE EXDB.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE)";
+                        
+                        strSQL += string.Format(" OR ((A.TYINGFLG != {0}", (int)CommonDefine.BaseInfoTyingFlg.Tying);
+                        strSQL += string.Format(" AND {0} <= A.CONSTRUCTIONSTATUSFLG", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("仮 受 注")).Key);
+                        strSQL += string.Format(" AND A.CONSTRUCTIONSTATUSFLG < {0})", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工開始")).Key);
+
+                        strSQL += string.Format(" OR (A.TYINGFLG = {0}", (int)CommonDefine.BaseInfoTyingFlg.Tying);
+                        strSQL += string.Format(" AND A.CONSTRUCTIONSTATUSFLG < {0})))", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求準備")).Key);
                         break;
                     case (int)ClsExcute.ProcessExecuteNo.ConstructionCopyList:
-                        strSQL += " AND EXISTS (SELECT * FROM ESTIMATEDATA EXDB WHERE EXDB.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE)";
+                        //strSQL += " AND EXISTS (SELECT * FROM ESTIMATEDATA EXDB WHERE EXDB.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE)";
                         break;
                     case (int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry:
                         strSQL += " AND EXISTS (SELECT * FROM CONSTRUCTIONLEDGERDETAIL EXDB";
